classification
Title: remove deprecated HTMLParser.unescape
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, inada.naoki, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2019-06-18 06:30 by inada.naoki, last changed 2020-09-18 00:47 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14186 merged inada.naoki, 2019-06-18 06:34
PR 22288 merged serhiy.storchaka, 2020-09-17 07:29
PR 22293 merged terry.reedy, 2020-09-18 00:10
Messages (4)
msg345954 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-06-18 06:30
HTMLParser.unescape was removed once but resurrected because of distlib depended on it.  (see https://bugs.python.org/issue19688 )

Since it is deprecated from 3.4, it's safe to remove.
msg350587 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-08-27 02:48
New changeset fae0ed5099de594a9204071d555cb8b76368cbf4 by Inada Naoki in branch 'master':
bpo-37328: remove deprecated HTMLParser.unescape (GH-14186)
https://github.com/python/cpython/commit/fae0ed5099de594a9204071d555cb8b76368cbf4
msg377047 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-09-17 08:49
New changeset a33f2c2bae759fc9d06e1c032fd2026135f2df45 by Serhiy Storchaka in branch 'master':
bpo-27032, bpo-37328: Document removing HTMLParser.unescape(). (GH-22288)
https://github.com/python/cpython/commit/a33f2c2bae759fc9d06e1c032fd2026135f2df45
msg377080 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-09-18 00:47
New changeset 4daeb9eec294f73a5811ef6ab3a0f8e61174a24c by Terry Jan Reedy in branch '3.9':
[3.9] bpo-27032, bpo-37328: Document removing HTMLParser.unescape() (GH-22288)
https://github.com/python/cpython/commit/4daeb9eec294f73a5811ef6ab3a0f8e61174a24c
History
Date User Action Args
2020-09-18 00:47:43terry.reedysetmessages: + msg377080
2020-09-18 00:10:59terry.reedysetnosy: + terry.reedy

pull_requests: + pull_request21345
2020-09-17 23:46:00terry.reedylinkissue33813 superseder
2020-09-17 08:49:06serhiy.storchakasetmessages: + msg377047
2020-09-17 07:29:00serhiy.storchakasetnosy: + serhiy.storchaka

pull_requests: + pull_request21341
2019-08-27 02:48:30inada.naokisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-08-27 02:48:09inada.naokisetmessages: + msg350587
2019-06-20 09:07:59ezio.melottisetnosy: + ezio.melotti
2019-06-18 06:34:08inada.naokisetkeywords: + patch
stage: patch review
pull_requests: + pull_request14023
2019-06-18 06:30:10inada.naokicreate